.seat-choosing-panel
.assento {
    height: 40px;
    width: 40px;
    background-color: #FFF;
    color: #FFF;
    border-radius: 50%;
    display: grid;
    align-items: center;
    text-align: center;
    box-shadow: -3px 3px 1px var(--primary-color-shadow);
    margin: 3px;
  }
  
.seat-choosing-panel
.assento.ocupado {  
  background-color:var(--room-type-color);
  color: var(--room-type-color);
}

.seat-choosing-panel
.assento:hover{  
  background-color: var(--terciary-color);
  color: #000;
  font-size: 12px;
  font-weight: bold;
}

.seat-choosing-panel
.assento.escolhido{  
  background-color: var(--terciary-color);
  color: #000;
  font-size: 12px;
  font-weight: bold;
}

.seat-choosing-panel
.painel-legenda-assento{
  width: 100%;
  background-color:  var(--primary-color);
  padding: 10px;
  box-shadow: -4px 4px var(--secondary-color-shadow);
  color: white;
}

.seat-choosing-panel
.legenda-assento{
  border-width: 2px;
  display: grid;
  width: 100%;
  background-color: var(--primary-color);
  padding: 10px;
  color: white;
  margin: 3px;
}

.seat-choosing-panel
.linha-legenda{
  display: flex;
  align-items: center;
  margin: 1px;
  padding: 1px;
}

.seat-choosing-panel
.linha-legenda>*{
  margin: 1px;
  float: left;
}

.seat-choosing-panel
.legenda-label{
  font-weight: bold;
  font-size: 15px;
  
}

.seat-choosing-panel
.desativado {
  pointer-events: none;
  opacity: 1;
  height: 25px;
  width: 25px;
  box-shadow: -3px 3px 1px var(--secondary-color-shadow);
}

.seat-choosing-panel
.painel-escolha-assentos{
  color: #333;
  background-color: var(--secondary-color);
  border-color: #AAA;
  display: grid;
  align-items: center;
  text-align: center;
  padding: 1%;
  border-radius: 2px;
  box-shadow: -4px 4px 2px var(--default-shadow);
  width: 700px;
  height: 600px;
  margin: 10px;
  position: relative;
  left: 50%;
  -ms-transform: translate(0, -50%);
  transform: translate(-50%, 0);
}

.seat-choosing-panel
.painel-escolha-assentos>*{
  margin-left: auto;
  margin-right: auto;
}

#assentos{
  background-color:  var(--primary-color);
  padding: 10px;
  box-shadow: -4px 4px var(--secondary-color-shadow);
  color: var(--secondary-color);
}

.seat-choosing-panel
.painel-titulo-assento {
  background-color:  var(--primary-color);
  color: #FFFFFF;
  text-align: center;
  float: left;
  font-size: 30px;
  font-weight: bold;
  width: 100%;
  box-shadow: -4px 4px var(--secondary-color-shadow);
}
